summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>1999-10-20 15:21:11 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>1999-10-20 15:21:11 +0000
commit1410dc36c7be2618992a5c1a6770ae8958bfe33f (patch)
tree3c93dce6dc4443d9eb1150e22cacbb151ca31e03 /scripts
parent7815d9656085c68ea63c9cb2e4e965818213fe12 (diff)
downloadrtems-1410dc36c7be2618992a5c1a6770ae8958bfe33f.tar.bz2
Committing changes before Ralf's changed.
Diffstat (limited to 'scripts')
-rw-r--r--scripts/binutils.spec.in13
-rw-r--r--scripts/buildall80
-rw-r--r--scripts/gccnewlib.spec.in15
-rw-r--r--scripts/gdb.spec.in8
4 files changed, 92 insertions, 24 deletions
diff --git a/scripts/binutils.spec.in b/scripts/binutils.spec.in
index 85c2dcbc26..d89c2c4412 100644
--- a/scripts/binutils.spec.in
+++ b/scripts/binutils.spec.in
@@ -64,6 +64,19 @@ test -d build || mkdir build
)
%files
+%dir /opt/rtems
+%dir /opt/rtems/bin
+%dir /opt/rtems/info
+%dir /opt/rtems/lib
+%dir /opt/rtems/@target_alias@
+%dir /opt/rtems/@target_alias@/bin
+%dir /opt/rtems/@target_alias@/include
+%dir /opt/rtems/@target_alias@/sys-include
+%dir /opt/rtems/@target_alias@/lib
+%dir /opt/rtems/@target_alias@/lib/ldscripts
+%dir /opt/rtems/man
+%dir /opt/rtems/man/man1
+
%doc /opt/rtems/info/as.info*
%doc /opt/rtems/info/bfd.info*
%doc /opt/rtems/info/binutils.info*
diff --git a/scripts/buildall b/scripts/buildall
index 5792e80e26..4da2e25b97 100644
--- a/scripts/buildall
+++ b/scripts/buildall
@@ -16,17 +16,40 @@ ALL_TARGETS="i386-rtems i960-rtems m68k-rtems \
powerpc-rtems sh-rtems sh-rtemself sparc-rtems"
# This is what we are building this time
-TARGETS=${ALL_TARGETS}
-#TARGETS="sh-rtems"
+#TARGETS=${ALL_TARGETS}
+TARGETS="sh-rtems"
testing=no
+binutils=990901
+gcc=2.95.1
+gdb=4.18
+newlib=1.8.2
+buildroot=/opt/tmp
+
+#
+# Now get started
+#
+start=`date`
+
+
echo PATH=$PATH
if [ ${testing} = yes ] ; then
ECHO=echo
fi
+installed_count=`rpm -qa | grep rtems | wc -l`
+if [ ${installed_count} -ne 0 ] ; then
+ echo This script should be run with NO rtems RPMs installed.
+ echo It appears that the following rtems RPMs are installed:
+ echo
+ rpm -qa | grep rtems
+ echo
+ echo Please remove these and restart this script.
+ exit 1
+fi
+
# Some linux distributions use /usr/src/packages
# redhat uses /usr/src/redhat
# others might use /usr/src
@@ -51,46 +74,42 @@ done
cd ${dst}
test -d log || mkdir log
-binutils=990901
-gcc=2.95.1
-gdb=4.18
-newlib=1.8.2
-# do all the binutils
+# do all the tools
for target in ${TARGETS}
do
- echo "rpm -ba --buildroot=/opt/tmp \
- ${dst}/${target}-binutils-${binutils}.spec >log/${target}-binutils 2>&1"
+ logfile=log/${target}-binutils
+ specfile=${dst}/${target}-binutils-${binutils}.spec
+ echo "rpm -ba --buildroot=${buildroot} ${specfile} >${logfile} 2>&1"
if [ ${testing} = no ] ; then
- rpm -ba --buildroot=/opt/tmp \
- ${dst}/${target}-binutils-${binutils}.spec >log/${target}-binutils 2>&1
+ rpm -ba --buildroot=${buildroot} ${specfile} >${logfile} 2>&1
fi
${ECHO} rm -rf ${dst}/../BUILD/${target}-binutils*
- ${ECHO} rm -rf /opt/tmp/opt
+ ${ECHO} rm -rf ${buildroot}/opt
# now build gdb
- echo "rpm -ba --buildroot=/opt/tmp \
- ${dst}/${target}-gdb-${gdb}.spec >log/${target}-gdb 2>&1"
+ logfile=log/${target}-gdb
+ specfile=${dst}/${target}-gdb-${gdb}.spec
+ echo "rpm -ba --buildroot=${buildroot} ${specfile} >${logfile} 2>&1"
if [ ${testing} = no ] ; then
- rpm -ba --buildroot=/opt/tmp \
- ${dst}/${target}-gdb-${gdb}.spec >log/${target}-gdb 2>&1
+ rpm -ba --buildroot=${buildroot} ${specfile} >${logfile} 2>&1
fi
${ECHO} rm -rf ${dst}/../BUILD/${target}-gdb*
- ${ECHO} rm -rf /opt/tmp/opt
+ ${ECHO} rm -rf ${buildroot}/opt
# now build gcc/newlib
# NOTE: This requires having binutils installed and we immediately
# remove it once finished.
${ECHO} rpm -i ${dst}/../RPMS/i386/${target}-binutils-${binutils}-0.i386.rpm
- echo "rpm -ba --buildroot=/opt/tmp \
- ${dst}/${target}-gcc-${gcc}-newlib-${newlib}.spec >log/${target}-gccnewlib 2>&1"
+ logfile=log/${target}-gccnewlib
+ specfile=${dst}/${target}-gcc-${gcc}-newlib-${newlib}.spec
+ echo "rpm -ba --buildroot=${buildroot} ${specfile} >${logfile} 2>&1"
if [ ${testing} = no ] ; then
- rpm -ba --buildroot=/opt/tmp \
- ${dst}/${target}-gcc-${gcc}-newlib-${newlib}.spec >log/${target}-gccnewlib 2>&1
+ rpm -ba --buildroot=${buildroot} ${specfile} >${logfile} 2>&1
fi
${ECHO} rm -rf ${dst}/../BUILD/${target}-gcc*
- ${ECHO} rm -rf /opt/tmp/opt
+ ${ECHO} rm -rf ${buildroot}/opt
echo uninstalling binutils for ${target}
if [ ${testing} = no ] ; then
@@ -98,16 +117,29 @@ do
fi
done
+staging_dir=/usr3/rtems_cds/test_cd/linux
+
+${ECHO} mkdir ${staging_dir}
+${ECHO} mkdir ${staging_dir}/RPMS
+${ECHO} mkdir ${staging_dir}/SRPMS
+
echo Moving RPMs to CD staging directory
for file in `ls -1 ${dst}/../RPMS/i386/*.rpm 2>/dev/null`
do
- ${ECHO} mv ${file} /usr3/rtems_cds/test_cd/RPMS
+ ${ECHO} mv ${file} ${staging_dir}/RPMS
done
echo Moving SRPMs to CD staging directory
for file in `ls -1 ${dst}/../SRPMS/*.rpm 2>/dev/null`
do
- ${ECHO} mv ${file} /usr3/rtems_cds/test_cd/SRPMS
+ ${ECHO} mv ${file} ${staging_dir}/SRPMS
done
+# Now we are done
+
+stop=`date`
+
+echo
+echo "Started: " $start
+echo "Finished: " $stop
exit 0
diff --git a/scripts/gccnewlib.spec.in b/scripts/gccnewlib.spec.in
index 72382d55af..77c737d0d2 100644
--- a/scripts/gccnewlib.spec.in
+++ b/scripts/gccnewlib.spec.in
@@ -96,6 +96,21 @@ test -d build || mkdir build
)
%files
+%dir /opt/rtems
+%dir /opt/rtems/bin
+%dir /opt/rtems/info
+%dir /opt/rtems/lib
+%dir /opt/rtems/lib/gcc-lib
+%dir /opt/rtems/lib/gcc-lib/@target_alias@
+%dir /opt/rtems/lib/gcc-lib/@target_alias@/@gcc_version@
+%dir /opt/rtems/lib/gcc-lib/@target_alias@/@gcc_version@/include
+%dir /opt/rtems/@target_alias@
+%dir /opt/rtems/@target_alias@/include
+%dir /opt/rtems/@target_alias@/sys-include
+%dir /opt/rtems/@target_alias@/lib
+%dir /opt/rtems/man
+%dir /opt/rtems/man/man1
+
%doc /opt/rtems/info/chill.info*
%doc /opt/rtems/info/cpp.info*
%doc /opt/rtems/info/gcc.info*
diff --git a/scripts/gdb.spec.in b/scripts/gdb.spec.in
index 5d84b63309..a3f9fef462 100644
--- a/scripts/gdb.spec.in
+++ b/scripts/gdb.spec.in
@@ -64,6 +64,14 @@ test -d build || mkdir build
)
%files
+%dir /opt/rtems
+%dir /opt/rtems/bin
+%dir /opt/rtems/include
+%dir /opt/rtems/info
+%dir /opt/rtems/lib
+%dir /opt/rtems/man
+%dir /opt/rtems/man/man1
+
%doc /opt/rtems/info/gdb.info*
%doc /opt/rtems/info/mmalloc.info*
%doc /opt/rtems/info/readline.info*